Skip to main content
POST
/
v1
/
custom-voices
/
cloned-voice
Create cloned voice
curl --request POST \
  --url https://supertoneapi.com/v1/custom-voices/cloned-voice \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-sup-api-key: <api-key>' \
  --form files='@example-file' \
  --form 'name=<string>' \
  --form 'description=<string>'
{
  "voice_id": "voice_123456789"
}
이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 영어 원문을 함께 확인해 주세요.
업로드된 오디오 샘플로부터 보이스를 클론하여 계정의 커스텀 보이스로 등록합니다. 반환되는 voice_id는 프리셋 보이스와 동일한 TTS 엔드포인트로 즉시 호출할 수 있습니다.
API를 통한 보이스 클로닝은 Free 티어에서 제공되지 않습니다. Free 티어 계정은 Supertone Play에서 클로닝할 수 있습니다.

엔드포인트

POST https://supertoneapi.com/v1/custom-voices/cloned-voice
multipart/form-data로 전송해 주십시오.

요청 본문

FieldRequiredDescription
files클로닝할 오디오 샘플입니다. WAV 또는 MP3, 3MB 미만이어야 합니다.
name보이스 이름입니다. 최대 100자.
description자유 형식 설명입니다.

샘플 품질 팁

최상의 클론 품질을 위해서는:
  • 배경 잡음이 적고 단일 화자만 녹음된 깨끗한 오디오를 사용해 주십시오.
  • 일반적으로 5~30초면 충분합니다.
  • 모노를 권장하며, 샘플레이트는 높아도 무방합니다.

응답

할당된 voice_id를 포함한 새 커스텀 보이스 객체를 반환합니다. ID를 저장해 두었다가 Create speech에 전달하여 보이스를 사용해 주십시오.

오류

StatusCause
400 Bad Requestfiles 또는 name이 누락되었거나, name이 너무 깁니다.
413 Payload Too Large오디오 파일이 3MB를 초과합니다.
415 Unsupported Media Type파일이 WAV 또는 MP3가 아닙니다.
403 ForbiddenFree 티어 계정입니다(API를 통한 클로닝이 허용되지 않습니다).

함께 보기

Docs: Custom voices

SDK 예제와 함께 보는 라이프사이클 가이드입니다.

Custom voice example

클론, 나열, 호출까지 엔드 투 엔드 예제입니다.

Authorizations

x-sup-api-key
string
header
required

Body

multipart/form-data

Audio file and voice metadata

files
file
required

Audio file to clone voice from (all common audio formats accepted, max 3MB)

name
string
required

Name of the cloned voice

description
string

Description of the cloned voice

Response

Successfully created cloned voice

voice_id
string
required

Unique identifier for the created voice

Example:

"voice_123456789"